import java.awt.*;
import java.io.File;

        // Load and display the image files passed as command-line
        // arguments.
class ImageExample {
    public static void main(String[] args){
        // Get the default toolkit for this environment.
        Toolkit tk = Toolkit.getDefaultToolkit();

        for(int i = 0; i < args.length; i++){
            File f = new File(args[i]);
            if(f.exists() && f.isFile() && f.canRead()){
                System.out.println("Loading: "+args[i]);
                Image graphic = tk.getImage(args[i]);
                // Display it.
                new ImageViewer(graphic);
            }
            else{
                System.err.println("Unable to load: "+args[i]);
            }
        }
    }
}
