        // Maintain a negative Transaction amount.
        // Format the amount in a width of 50 characters.
public class Debit extends Transaction {
    // The width of the Debit print field.
    public static final int debitFormatWidth = 50;

    public Debit(long amount) throws InvalidTransactionException {
        super(amount);
        if(amount <= 0){
            throw new InvalidTransactionException(
                        "Error: Debits must be greater than zero: "+amount);
        }
    }

    protected int getFormatWidth(){
        return debitFormatWidth;
    }
}
