import java.io.Serializable;
import java.util.*;

class BookmarkCollection implements Serializable {
        // Add a new bookmark to the collection.
    public void add(Bookmark mark){
        getCollection().add(mark);
    }

        // Make the collection available as an array.
    public Bookmark[] getBookmarks(){
        Collection collection = getCollection();
        Bookmark[] bookmarks = new Bookmark[collection.size()];

        collection.toArray(bookmarks);
        return bookmarks;
    }

    private Collection getCollection(){
        return collection;
    }

    // The type of Collection is arbitrary.
    private Collection collection = new LinkedList();
}
