        // Demonstrate the cloning versions of Polygon and Point.
class CloningMain {
    public static void main(String[] args){
        final Polygon original = new Polygon(new Point[]{
            new Point(0,0), new Point(0,1), new Point(1,1),
        });
        // Clone the original triangle.
        final Polygon copy = (Polygon) original.clone();

        System.out.println("Original: "+original);
        System.out.println("Clone: "+copy);
        if(original.equals(copy)){
            System.out.println("Cloned triangles match.");
        }

        // Make sure equals is ok.
        final Polygon square = new Polygon(new Point[]{
            new Point(0,0), new Point(0,1),
            new Point(1,1), new Point(1,0),
        });
        if(original.equals(square)){
            System.out.println("Something wrong with Polygon.equals");
        }
    }
}
