        // An example of how to construct a URL object and print
        // out its constituent elements. Note that this example
        // does not retrieve the associated resource.

import java.net.*;

class URLConstructionExample {
    public static void main(String[] args){
        try{
            URL resource = new URL("http://www.javasoft.com:80/index.html");
            System.out.println("Protocol: "+resource.getProtocol());
            System.out.println("Port: "+resource.getPort());
            System.out.println("Host: "+resource.getHost());
            System.out.println("File: "+resource.getFile());
        }
        catch(MalformedURLException e){
            System.err.println(e);
        }
    }
}

