import java.awt.*;

        // Find out the names of the fonts available in this environment.
class AWTFontNames {
    public static void main(String[] args){
        // Get the default graphics environment.
        GraphicsEnvironment env =
                GraphicsEnvironment.getLocalGraphicsEnvironment();
        // Get the font names.
        final String[] fontNames = env.getAvailableFontFamilyNames();
        final int numNames = fontNames.length;

        System.out.println("The following font families are available.");
        for(int i = 0; i < numNames; i++){
            System.out.println(fontNames[i]);
        }
    }
}
