import java.awt.*;

        // Provide a Frame for a set of coloured Labels.
class ColoredFrame extends Frame {
    public ColoredFrame() {
        final int width = 300, height = 200;
        setSize(width,height);
        setBackground(Color.white);
        setLayout(new FlowLayout());
        setupColouredLabels();
    }

    protected void setupColouredLabels() {
        // The name of each Color. This will be the label's string.
        String[] standardColorNames = {
            "black", "blue", "cyan", "darkGray",
            "gray", "green", "lightGray", "magenta",
            "orange", "pink", "red", "white",
            "yellow",
        };

        // References to the standard Color objects.
        Color[] standardColors = {
            Color.black, Color.blue, Color.cyan, Color.darkGray,
            Color.gray, Color.green, Color.lightGray, Color.magenta,
            Color.orange, Color.pink, Color.red, Color.white,
            Color.yellow,
        };

        // Add a label of each colour to the frame.
        for(int i = 0; i < standardColors.length; i++){
            Label label = new Label(standardColorNames[i]);
            label.setBackground(standardColors[i]);
            add(label);
        }
    }
}
