import java.awt.*;
import java.awt.event.*;

        // Example showing a Canvas and a Button.
class QuitOvalFrame extends Frame implements ActionListener {
    static final String quitString = "Quit";

    public QuitOvalFrame(){
        final int width = 200, height = 200;
        setSize(width,height);

        add(new OvalCanvas(),"Center");

        // Arrange to quit the application.
        Button quitButton = new Button("Quit");
        // We wish to know about button presses.
        quitButton.addActionListener(this);
        add(quitButton,"South");
    }

        // Implment the ActionListener interface.
        // Receive events from the quit button.
    public void actionPerformed(ActionEvent e){
        // The quit button has been pressed.
        System.exit(0);
    }
}
