    // An on/off switch with an associated display for a device.
class Switch {
        // Turn the switch on.
    public void switchOn(){
        setOn(true);
        getDisplay().showOn();
    }

        // Turn the switch off.
    public void switchOff(){
        setOn(false);
        getDisplay().showOff();
    }

        // Tell an enquirer whether the switch is on or not.
    public boolean isTheSwitchOn(){
        return getOn();
    }

        // Return the state of the switch.
    private boolean getOn(){
        return on;
    }

        // Set the state of the switch.
    private void setOn(boolean o){
        on = o;
    }

    private DeviceDisplay getDisplay(){
        return display;
    }

    // Whether the switch is on or not.
    // true means on and false means off.
    private boolean on = false;
    // A display for the status of the switch. This stands in the
    // place of a device being controlled by the switch.
    private DeviceDisplay display = new DeviceDisplay();
}
