    // A minimal example program to create and manipulate a simple
    // fixed-size league of team details.
class LeagueMain {
    public static void main(String[] args){
        // Create the League object from four sample sets
        // of team details.
        League league = new League(new TeamDetails[]{
            new TeamDetails("Kestrels", "Able Amy", "Ambleside"),
            new TeamDetails("Eagles", "Brave Ben", "Big Rock"),
            new TeamDetails("Hawks", "Capable Charis", "Cheam"),
            new TeamDetails("Falcons", "Dull Dan", "Ditchfield"),
        });

        // Print the before-state of the league.
        System.out.println("======== Before ========");
        league.print();

        // Give one of the teams a point.
        league.addPoints("Kestrels",1);

        // Print the after-state of the league.
        System.out.println("======== After ========");
        league.print();
    }
}
