import java.util.Random;

        // The super class of all fuel types.
abstract class FuelType {
        // particular fuel type.
    public long randomAmount(){
        final Random r = getRandom();
        return Math.abs(r.nextLong()) % (2*meanAmount());
    }

        // Return the mean amount of fuel to be delivered for this
        // particular fuel type.
    abstract protected long meanAmount();

        // Generate a random amount of fuel to be delivered for this
    protected static Random getRandom(){
        return random;
    }

    private static final Random random = new Random();
}
