public class IceCreamMain {
    public static void main(String[] args){
        // The single scheduler for all events.
        final Scheduler scheduler = new Scheduler();
        final Vendor vendor = new Vendor(scheduler);

        // Schedule the first arrival to kick things off.
        scheduler.schedule(new Arrival(0L,vendor));

        // When to stop - in seconds.
        final long stopTime = 3600L;
        scheduler.run(stopTime);
    }
}
