import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

        // Draw an oval within a JFrame.
class SwingOvalFrame extends JFrame {
    public SwingOvalFrame(){
        super("Swing Oval Frame Demo");
        final int width = 200, height = 175;
        setSize(width,height);

        // Get the frame's content pane, to which the components
        // will be added.
        Container pane = getContentPane();

        // Create a component in which to draw and
        // add it to this Frame's content pane.
        JComponent oval = new SwingOvalDrawing();
        pane.add(oval,"Center");

        // Add a quit button.
        JButton quitButton = new JButton("Quit");
        quitButton.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e){
                System.exit(0);
            }
        });
        pane.add(quitButton,"South");
    }
}
